## liblaxjson 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(laxjson C)

set(VERSION_MAJOR 1)
set(VERSION_MINOR 0)
set(VERSION_PATCH 2)

set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
message("Configuring laxjson version ${VERSION}")

file(GLOB_RECURSE SOURCES ${PROJECT_SOURCE_DIR}/src/*.c)
file(GLOB_RECURSE HEADERS ${PROJECT_SOURCE_DIR}/src/*.h)

set(LIB_CFLAGS "-pedantic -Werror -Wall -Werror=strict-prototypes -Werror=old-style-definition -Werror=missing-prototypes")
set(EXAMPLE_CFLAGS "-pedantic -Werror -Wall")
include_directories("${PROJECT_SOURCE_DIR}/include")

add_library(laxjson_static STATIC ${SOURCES} ${HEADERS})
set_target_properties(laxjson_static PROPERTIES
  OUTPUT_NAME laxjson
  COMPILE_FLAGS "${LIB_CFLAGS} -fPIC")

add_library(laxjson SHARED ${SOURCES} ${HEADERS})
set_target_properties(laxjson PROPERTIES
  SOVERSION ${VERSION_MAJOR}
  VERSION ${VERSION}
  COMPILE_FLAGS ${LIB_CFLAGS})

add_executable(token_list example/token_list.c)
set_target_properties(token_list PROPERTIES
  COMPILE_FLAGS ${EXAMPLE_CFLAGS})
target_link_libraries(token_list laxjson)


enable_testing()
add_executable(primitives_test test/primitives.c)
set_target_properties(primitives_test PROPERTIES
  COMPILE_FLAGS ${EXAMPLE_CFLAGS})
target_link_libraries(primitives_test laxjson)
add_test(DetectPrimitives primitives_test)

install(FILES "include/laxjson.h" DESTINATION include)
install(TARGETS laxjson laxjson_static DESTINATION lib)

=== debian/changelog ===
liblaxjson (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #732961)

 -- Andrew Kelley <superjoe30@gmail.com>  Thu, 24 Jul 2014 07:15:31 +0000

=== debian/control ===
Source: liblaxjson
Priority: extra
Maintainer: Andrew Kelley <superjoe30@gmail.com>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/andrewrk/liblaxjson
Vcs-Git: https://bitbucket.org/andrewrk/pkg-liblaxjson.git
Vcs-Browser: https://bitbucket.org/andrewrk/pkg-liblaxjson

Package: liblaxjson-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblaxjson1 (= ${binary:Version}), ${misc:Depends}
Description: relaxed streaming JSON parser library (development files)
 Official JSON is almost human-readable and human-writable. Disabling a few of
 the strict rules makes it significantly more so.
 .
 This library is intended for parsing user input, such as a config file. It is
 not intended for serializing or deserializing, or as a format for computer-to-
 computer communication.
 .
 This relaxed streaming JSON parser allows:
  * unquoted keys
  * single quotes `'`
  * `//` and `/* */` style comments
  * extra commas `,` in arrays and objects
 .
 This package contains the development files.

Package: liblaxjson1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: relaxed streaming JSON parser library
 Official JSON is almost human-readable and human-writable. Disabling a few of
 the strict rules makes it significantly more so.
 .
 This library is intended for parsing user input, such as a config file. It is
 not intended for serializing or deserializing, or as a format for computer-to-
 computer communication.
 .
 This relaxed streaming JSON parser allows:
  * unquoted keys
  * single quotes `'`
  * `//` and `/* */` style comments
  * extra commas `,` in arrays and objects

## liblaxjson 1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 0)
-set(VERSION_PATCH 2)
+set(VERSION_PATCH 5)
 
 set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 message("Configuring laxjson version ${VERSION}")
@@ -18,7 +18,7 @@
 add_library(laxjson_static STATIC ${SOURCES} ${HEADERS})
 set_target_properties(laxjson_static PROPERTIES
   OUTPUT_NAME laxjson
-  COMPILE_FLAGS "${LIB_CFLAGS} -fPIC")
+  COMPILE_FLAGS ${LIB_CFLAGS})
 
 add_library(laxjson SHARED ${SOURCES} ${HEADERS})
 set_target_properties(laxjson PROPERTIES

=== debian/changelog ===
liblaxjson (1.0.5-4) unstable; urgency=medium

  * QA upload.

  [ Jenkins ]
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 29 Aug 2022 22:15:33 +0100

liblaxjson (1.0.5-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update standards version to 4.4.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 03:51:30 +0000

liblaxjson (1.0.5-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Set maintainer to Debian QA Group.
    + Bump Standards-Version to 4.3.0.
    + Bump debhelper compat to v12.
    + Update Vcs-* fields and use git repo on Salsa Debian Team.
  * debian/compat: Dropped.
  * debian/rules: Enable full hardening.
  * debian/patches: Add patch to fix memory leak in
    example/token_list.c.
  * debian/symbols: Add Build-Depends-Package field.

 -- Boyuan Yang <byang@debian.org>  Wed, 19 Jun 2019 14:07:07 -0400

liblaxjson (1.0.5-1) unstable; urgency=medium

  * Import upstream release 1.0.5.
  * Add new symbols from release.
  * Update standards version to 3.9.6.

 -- Andrew Kelley <superjoe30@gmail.com>  Fri, 15 May 2015 04:55:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,22 @@
 Source: liblaxjson
-Priority: extra
-Maintainer: Andrew Kelley <superjoe30@gmail.com>
-Build-Depends: debhelper (>= 9), cmake
-Standards-Version: 3.9.5
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends:
+ cmake,
+ debhelper-compat (= 12),
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://github.com/andrewrk/liblaxjson
-Vcs-Git: https://bitbucket.org/andrewrk/pkg-liblaxjson.git
-Vcs-Browser: https://bitbucket.org/andrewrk/pkg-liblaxjson
+Vcs-Git: https://salsa.debian.org/debian/liblaxjson.git
+Vcs-Browser: https://salsa.debian.org/debian/liblaxjson
 
 Package: liblaxjson-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblaxjson1 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ liblaxjson1 (= ${binary:Version}),
+ ${misc:Depends},
 Description: relaxed streaming JSON parser library (development files)
  Official JSON is almost human-readable and human-writable. Disabling a few of
  the strict rules makes it significantly more so.
@@ -32,7 +36,9 @@
 Package: liblaxjson1
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: relaxed streaming JSON parser library
  Official JSON is almost human-readable and human-writable. Disabling a few of
  the strict rules makes it significantly more so.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS


override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing
